Subject: general-digest V2 #94
From: [email-masked] (general-digest)
To: [email-masked]

general-digest         Friday, August 20 1999         Volume 02 : Number 094

In this issue:

    Re: Where'd the JRE go?
    typo when entering my name
    VPN or encrypted login capability?
    Re: VPN or encrypted login capability?
    Rescue Help!?
    Re: Rescue Help!?
    Re: Rescue Help!?
    Re: Rescue Help!?
    Re: Rescue Help!?
    Web site down?

See the end of this digest for information about general-digest.

----------------------------------------------------------------------

Date: 13 Aug 1999 14:07:41 GMT
From: [email-masked] (Jim Tittsler)
Subject: Re: Where'd the JRE go?

On 1 Jun 1999 19:24:42 -0400, Joel Hardy <[email-masked]> wrote:
>hard drive contents are kaput.  The JRE used to be on CCC's support page,
>but the whole thing is down now and I can't find anything on Rebel.com
>that says anything about the JRE for the Netwinder.  Does anybody know
>where I can find it (or have an RPM you could send me)?  Thanks :)

Is Rebel.com going to make the JRE available?

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: 14 Aug 1999 18:08:08 GMT
From: "Arent_Kits_van_Heijningen[106016.3614]"<[email-masked]>
Subject: typo when entering my name

subject : typo when entering my name 

Andrew ,
Upon checking the netwinder.org ftp site I discovered a
directory with the name : kiysvh 
This is a typo of my login and unless there is a real user
with that name you can remove it 
"kits"
Arent Kits van Heijningen
Mr Troelstralaan 76
NL1181VG Amstelveen
tel 020-6411559

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Sun, 15 Aug 1999 18:34:34 -0500
From: Cory Jon Hollingsworth <[email-masked]>
Subject: VPN or encrypted login capability?

    Does any one know of any GPL Virtual Private Network or encrypted
telnet utilities that are known to work on the Netwinder?

    I've been trying to get an encrypted session to work from my
Netwinder and, although I've been able to get a couple of utilities to
compile, (stelnet and lsh to name two) I've not been able to get either
to work.  I think I made too many bad hacks to lsh for the Netwinder and
just too many hacks to stelnet in general.  8-)

    Any one have any suggestions, or do I just need to work it out for
myself.  By the way, I cannot use SSH due to the licensing agreement, so
don't even mention it, although I don't think it compiles on the
Netwinder either.

    Thanks.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Sun, 15 Aug 1999 19:47:12 -0400
From: Matthew Keller <[email-masked]>
Subject: Re: VPN or encrypted login capability?

Cory Jon Hollingsworth wrote:
> 
>     Does any one know of any GPL Virtual Private Network or encrypted
> telnet utilities that are known to work on the Netwinder?
> 
>     I've been trying to get an encrypted session to work from my
> Netwinder and, although I've been able to get a couple of utilities to
> compile, (stelnet and lsh to name two) I've not been able to get either
> to work.  I think I made too many bad hacks to lsh for the Netwinder and
> just too many hacks to stelnet in general.  8-)
> 
>     Any one have any suggestions, or do I just need to work it out for
> myself.  By the way, I cannot use SSH due to the licensing agreement, so
> don't even mention it, although I don't think it compiles on the
> Netwinder either.

	SSH1 (Secure Shell 1) has no major licensing issues and works fine on
the Netwinder. Just avoid SSH2 like the plague.

- -- 

          - Matthew Keller -
       Lead Programmer/Analyst
  Distributed Computing and Telemedia
State University of New York at Potsdam

Web: http://mattwork.potsdam.edu/
PGP: http://mattwork.potsdam.edu/crypto/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Thu, 19 Aug 1999 16:29:17 -0500
From: "Ivan R. Judson" <[email-masked]>
Subject: Rescue Help!?

Alright,

I'm rescue'ing a netwinder.  I'm following the howto, and everything goes
according to plan, finally. Then, after getting the kernel via tftp, and
telling it to mount via nfs, it reboots!

Well, that is to say it tries to, even though it never comes back.  I've got
firmware 1.3pl14.

Any helpful pointers or experiences?

- --Ivan

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Thu, 19 Aug 1999 18:05:09 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: Rescue Help!?

"Ivan R. Judson" wrote:
> I'm rescue'ing a netwinder.  I'm following the howto, and everything goes
> according to plan, finally. Then, after getting the kernel via tftp, and
> telling it to mount via nfs, it reboots!
> 
> Well, that is to say it tries to, even though it never comes back.  I've got
> firmware 1.3pl14.

Sounds like the firmware doesn't like your kernel.  You need an a.out
kernel because that version of firmware can't handle ELF ones.  The
kernel must also have reasonable defaults for root and such, since
the firmware doesn't know about parameter table passing.

Basically trying to NFS boot with such an old firmware is a bad idea.

- --
Andrew E. Mileski - Software Engineer
Rebel.com  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Thu, 19 Aug 1999 21:00:56 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: Rescue Help!?

"Ivan R. Judson" wrote:

> I'm rescue'ing a netwinder.  I'm following the howto, and everything goes
> according to plan, finally. Then, after getting the kernel via tftp, and
> telling it to mount via nfs, it reboots!

Spontaneous reboot?  That's actually a new one...  Might try watching
the output on the serial port (19200 baud, 8N1) to see if there are any
indications of what it going on.  For example, does the main kernel you
tftp'd actually get booted?  There's also a little interactive debugger
in there, you can use it to dump the first few bytes of the downloaded
kernel (at location C000) and verify that it matches what was sent from
the host.
 
> Well, that is to say it tries to, even though it never comes back.  I've got
> firmware 1.3pl14.

You'd get a lot more flexibility going to a 2.0 series, but perhaps that
is what you were getting ready to try.  Unless your box is kaput, I'd
recommend updating the flash first (get 2.0.4 for the first step).  If
you machine is hosed, and you have to nfs boot, check which kernel you
are trying to feed to the system.  It won't work with any of the ELF
kernels, as 1.3 firmware only understands a.out format.  The June29
shipping kernel from way-back-when is probably the only one with a
chance of working. 

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Thu, 19 Aug 1999 21:38:29 -0500
From: "Ivan R. Judson" <[email-masked]>
Subject: Re: Rescue Help!?

I'm sure it's an elf/a.out incompatibility, now that you say it.

Where do I find an a.out disk image, then I could upgrade the firmware,
which, yes,I was trying to do :-)

- --Ivan

Andrew E. Mileski <[email-masked]> wrote in message
news:[email-masked]...
> "Ivan R. Judson" wrote:
> > I'm rescue'ing a netwinder.  I'm following the howto, and everything
goes
> > according to plan, finally. Then, after getting the kernel via tftp, and
> > telling it to mount via nfs, it reboots!
> >
> > Well, that is to say it tries to, even though it never comes back.  I've
got
> > firmware 1.3pl14.
>
> Sounds like the firmware doesn't like your kernel.  You need an a.out
> kernel because that version of firmware can't handle ELF ones.  The
> kernel must also have reasonable defaults for root and such, since
> the firmware doesn't know about parameter table passing.
>
> Basically trying to NFS boot with such an old firmware is a bad idea.
>
> --
> Andrew E. Mileski - Software Engineer
> Rebel.com  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 20 Aug 1999 08:47:22 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: Rescue Help!?

"Ivan R. Judson" wrote:
> 
> I'm sure it's an elf/a.out incompatibility, now that you say it.
> 
> Where do I find an a.out disk image, then I could upgrade the firmware,
> which, yes,I was trying to do :-)

Kernel: I'm not sure where the june-29 a.out kernel has wandered off
to.  But there is an a.out version of 990121 that I prepared a while ago
for someone in a similar situation at
http://www.netwinder.org/~ralphs/tmp/

Disk Image: They're archived on cdrom somewhere, we only keep "recent"
ones on the server (they take up a lot of room...)  I would recommend
for rescue purposes, use Mike Montour's rescue filesystem... it is tiny
but contains everything you need to recover disk images and hopefully
flash as well (though I haven't checked in a while).  See
http://www.netwinder.org/~mmontour for details.

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 20 Aug 1999 14:12:48 -0500
From: "Ivan R. Judson" <[email-masked]>
Subject: Web site down?

It looks like netwinder.org is lost again.

Any news?

- --Ivan

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

End of general-digest V2 #94
****************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general-digest" as the body of your message.